System 2.0.0.0 4.0.0.0 System.Net.Mail.AttachmentBase

Use the class to specify copies of an e-mail message in different formats. For example, if you send a message in HTML, you might also want provide a plain text version in case some of the recipients use e-mail readers that cannot display HTML content.

This class has two properties and that are used to resolve URLs within the content of the email. is a collection of objects. When rendered, URLs within the e-mail's content are first matched against the URLs in the of each object in the collection, and resolved. is used by the mail reader to resolve relative URLs within the body, and also to resolve relative URLs, in the collection.

Represents the format to view an email message.

- Constructor
  2.0.0.0
  4.0.0.0

  A new instance of the class call also be initialized by calling one of the methods.

  Initializes a new instance of with the specified .

  A stream that contains the content for this view.
- Constructor
  2.0.0.0
  4.0.0.0

  A new instance of the class call also be initialized by calling one of the methods.

  Initializes a new instance of with the specified file name.

  The name of the file that contains the content for this alternate view.
- Constructor
  2.0.0.0
  4.0.0.0

  A new instance of the class call also be initialized by calling one of the methods.

  Initializes a new instance of with the specified and .

  A stream that contains the content for this attachment.
  The type of the content.
- Constructor
  2.0.0.0
  4.0.0.0

  A new instance of the class call also be initialized by calling one of the methods.

  Initializes a new instance of with the specified and media type.

  A stream that contains the content for this attachment.
  The MIME media type of the content.
- Constructor
  2.0.0.0
  4.0.0.0

  A new instance of the class call also be initialized by calling one of the methods.

  Initializes a new instance of with the specified file name and content type.

  The name of the file that contains the content for this alternate view.
  The type of the content.
- Constructor
  2.0.0.0
  4.0.0.0

  A new instance of the class call also be initialized by calling one of the methods.

  Initializes a new instance of with the specified file name and media type.

  The name of the file that contains the content for this alternate view.
  The MIME media type of the content.
- Property
  2.0.0.0
  4.0.0.0
  System.Uri To be added. To be added.

  Gets or sets the base URI to use for resolving relative URIs in the .

- Method
  2.0.0.0
  4.0.0.0
  System.Net.Mail.AlternateView ``

  The default media type is plain text and the default encoding is ASCII.

  Creates a of an email message using the content specified in a .

  An object that represents an alternate view of an email message.

  The that contains the content of the email message.
- Method
  2.0.0.0
  4.0.0.0
  System.Net.Mail.AlternateView `` `` To be added.

  Creates an of an email message using the content specified in a and the specified MIME media type of the content.

  An object that represents an alternate view of an email message.

  A that contains the content for this attachment. A that describes the data in .
- Method
  2.0.0.0
  4.0.0.0
  System.Net.Mail.AlternateView `` `` `` To be added. To be added.

  Creates an of an email message using the content specified in a , the specified text encoding, and MIME media type of the content.

  An object that represents an alternate view of an email message.

  A that contains the content for this attachment. The MIME media type of the content.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method is called by the public Dispose() method and the method. Dispose() invokes the protected Dispose(Boolean) method with the parameter set to true. invokes Dispose with set to false.

  When the parameter is true, this method releases all resources held by any managed objects that this references. This method invokes the Dispose() method of each referenced object.

  Releases the unmanaged resources used by the and optionally releases the managed resources.

  true to release both managed and unmanaged resources; false to release only unmanaged resources.
- Property
  2.0.0.0
  4.0.0.0
  System.Net.Mail.LinkedResourceCollection To be added. To be added.

  Gets the set of embedded resources referred to by this attachment.